image: rust

stages:
    - unit_tests

test_code:
    stage: unit_tests
    script:
        - cargo test --release code

test_symbol_table:
    stage: unit_tests
    script:
        - cargo test --release symbol_table

test_parser:
    stage: unit_tests
    script:
        - cargo test --release parser

test_main:
    stage: unit_tests
    script:
        - cargo test --release main

